Skip to main content
GET
/
projects
/
{project_id}
/
runs
/
{run_id}
/
test_entities
/
{test_entity_id}
Get test entity
curl --request GET \
  --url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id} \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "title": "adds an item to the cart",
  "describe_path": [
    "Cart",
    "when logged in"
  ],
  "status": "passed",
  "outcomes": [
    {
      "status": "passed",
      "repeat_each_index": 0,
      "shard": 1,
      "is_expected": true,
      "attempts": [
        {
          "status": "passed",
          "duration": 3.02,
          "screenshots": [
            "<string>"
          ],
          "videos": [
            "<string>"
          ],
          "traces": [
            "<string>"
          ],
          "lighthouses": [
            "<string>"
          ]
        }
      ]
    }
  ]
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

project_id
string
required

Id of the project. You can get project_id by listing your projects using the List projects API.

Example:

"pdqmxlz"

run_id
string
required

Id of the run. You can get run_id by listing runs using the List runs API.

Example:

"kftwnab"

test_entity_id
string
required

Id of the test entity (a spec or a test). You can get test_entity_id by listing test entities using the List test entities API.

Example:

"vhrscje"

Response

200 - application/json

OK - Request succeeded

title
string

Title of the test entity.

Example:

"adds an item to the cart"

describe_path
string[]

Ordered list of ancestor describe blocks leading to this test.

Example:
["Cart", "when logged in"]
status
string

Aggregated status of the test entity.

Example:

"passed"

outcomes
object[]